## amfora 1.11.0

=== Makefile ===
GITV != git describe --tags
GITC != git rev-parse --verify HEAD
SRC  != find . -type f -name '*.go' ! -name '*_test.go'
TEST != find . -type f -name '*_test.go'

PREFIX  ?= /usr/local
VERSION ?= $(GITV)
COMMIT  ?= $(GITC)
BUILDER ?= Makefile

GO      := go
INSTALL := install
RM      := rm

amfora: go.mod go.sum $(SRC)
	GO111MODULE=on CGO_ENABLED=0 $(GO) build -o $@ -ldflags="-s -w -X main.version=$(VERSION) -X main.commit=$(COMMIT) -X main.builtBy=$(BUILDER)"

.PHONY: clean
clean:
	$(RM) -f amfora

.PHONY: install
install: amfora amfora.desktop
	$(INSTALL) -d $(DESTDIR)$(PREFIX)/bin/
	$(INSTALL) -m 755 amfora $(DESTDIR)$(PREFIX)/bin/amfora
	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/applications/
	$(INSTALL) -m 644 amfora.desktop $(DESTDIR)$(PREFIX)/share/applications/amfora.desktop

.PHONY: uninstall
uninstall:
	$(RM) -f $(DESTDIR)$(PREFIX)/bin/amfora
	$(RM) -f $(DESTDIR)$(PREFIX)/share/applications/amfora.desktop

# Development helpers

.PHONY: fmt
fmt:
	$(GO) fmt ./...

.PHONY: gen
gen:
	$(GO) generate ./...

## amfora 1.9.2

=== debian/changelog ===
amfora (1.9.2-2ubuntu2.4) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update 

 -- Evan Caville <evan.caville@canonical.com>  Fri, 27 Jun 2025 10:32:22 +1000

amfora (1.9.2-2ubuntu2.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Thu, 24 Oct 2024 11:22:40 +1000

amfora (1.9.2-2ubuntu2.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Wed, 10 Jul 2024 10:51:45 +0530

amfora (1.9.2-2ubuntu2) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:13:08 +1200

amfora (1.9.2-2ubuntu1) lunar; urgency=medium

  * No change rebuild to bump version number

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Wed, 15 Feb 2023 11:13:29 +0100

amfora (1.9.2-2) unstable; urgency=medium

  * Correct the wrong Versioned B-D on
    golang-github-makeworld-the-better-one-go-gemini-dev

 -- Nilesh Patra <nilesh@debian.org>  Wed, 29 Dec 2021 19:58:25 +0530

amfora (1.9.2-1) unstable; urgency=medium

  * New upstream version 1.9.2
  * Bump Standards-Version to 4.6.0 (no changes needed)
  * Add myself to uploaders
  * Drop patches, fixed upstream
  * d/control:
    - Add B-D on golang-github-muesli-termenv-dev and
    golang-github-atotto-clipboard-dev
    - Versioned B-D on go-gemini

 -- Nilesh Patra <nilesh@debian.org>  Tue, 28 Dec 2021 19:03:22 +0530

amfora (1.8.0-2) unstable; urgency=medium

  * Team Upload.
  * Source-only upload to unstable for testing migration
  * d/control: Add Vcs-Git

 -- Nilesh Patra <nilesh@debian.org>  Sun, 15 Aug 2021 22:26:19 +0530

amfora (1.8.0-1) experimental; urgency=medium

  * Initial release (Closes: #985174)

 -- Micheal Waltz <ecliptik@gmail.com>  Mon, 19 Apr 2021 16:03:18 -0700

=== debian/control ===
Source: amfora
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Micheal Waltz <ecliptik@gmail.com>,
           Nilesh Patra <nilesh@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-atotto-clipboard-dev,
               golang-github-dustin-go-humanize-dev,
               golang-github-gdamore-tcell-dev,
               golang-github-gdamore-tcell.v2-dev,
               golang-github-makeworld-the-better-one-go-gemini-dev (>= 0.12.1-1~),
               golang-github-makeworld-the-better-one-go-isemoji-dev,
               golang-github-mitchellh-go-homedir-dev,
               golang-github-mmcdole-gofeed-dev (>= 1.1.2-1~),
               golang-github-muesli-termenv-dev,
               golang-github-schollz-progressbar-dev (>= 3.8.0-1~),
               golang-github-rkoesters-xdg-dev,
               golang-code.rocketnine-tslocum-cbind-dev,
               golang-code.rocketnine-tslocum-cview-dev,
               golang-github-spf13-viper-dev,
               golang-github-stretchr-testify-dev
Standards-Version: 4.6.0
Homepage: https://github.com/makeworld-the-better-one/amfora
Vcs-Browser: https://salsa.debian.org/go-team/packages/amfora
Vcs-Git: https://salsa.debian.org/go-team/packages/amfora.git
XS-Go-Import-Path: github.com/makeworld-the-better-one/amfora
Testsuite: autopkgtest-pkg-go
Rules-Requires-Root: no

Package: amfora
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Fancy terminal browser for the Gemini protocol
 Amfora aims to be the best looking cross-platform Gemini
 terminal client with the most features.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/amfora-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/makeworld-the-better-one/amfora/tags .*/v?(\d\S*)\.tar\.gz

## amfora 1.10.0

=== debian/changelog ===
amfora (1.10.0-1) unstable; urgency=medium

  * New upstream version 1.10.0
  * Bump Standards-Version to 4.7.0 (no changes needed)
  * Add extra socks5 and rr files that are being used in the package.
    + Since its just a few lines, it does not make sense to package
  * Copy files to client and display dirs pre-configure and clean the target
  * Add patch to import gemsocks5 and rr from the embedded file
  * Add Builddep on golang-github-alecthomas-chroma-dev
  * Tighten B-D on golang-github-makeworld-the-better-one-go-gemini
  * Update copyright

 -- Nilesh Patra <nilesh@debian.org>  Sat, 06 Jul 2024 12:03:11 +0530

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: amfora
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Micheal Waltz <ecliptik@gmail.com>,
            Nilesh Patra <nilesh@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
                golang-github-atotto-clipboard-dev,
+               golang-github-alecthomas-chroma-dev,
                golang-github-dustin-go-humanize-dev,
                golang-github-gdamore-tcell-dev,
                golang-github-gdamore-tcell.v2-dev,
-               golang-github-makeworld-the-better-one-go-gemini-dev (>= 0.12.1-1~),
+               golang-github-makeworld-the-better-one-go-gemini-dev (>= 0.13.1-1~),
                golang-github-makeworld-the-better-one-go-isemoji-dev,
                golang-github-mitchellh-go-homedir-dev,
                golang-github-mmcdole-gofeed-dev (>= 1.1.2-1~),
@@ -23,7 +23,7 @@
                golang-code.rocketnine-tslocum-cview-dev,
                golang-github-spf13-viper-dev,
                golang-github-stretchr-testify-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Homepage: https://github.com/makeworld-the-better-one/amfora
 Vcs-Browser: https://salsa.debian.org/go-team/packages/amfora
 Vcs-Git: https://salsa.debian.org/go-team/packages/amfora.git

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_install:
	dh_auto_install -- --no-source

%:
	dh $@ --buildsystem=golang --with=golang

execute_before_dh_auto_configure:
	cp debian/ext/gemsocks5.go client/
	cp debian/ext/rr.go display/

## amfora 1.11.0

=== debian/changelog ===
amfora (1.11.0-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 1.11.0
  * Drop Redundant "Rules-Requires-Root: no"
  * Bump Standards-Version to 4.7.2 (no changes needed)
  * Drop myself from uploaders

 -- Nilesh Patra <nilesh@debian.org>  Sun, 26 Oct 2025 22:26:55 +0530

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Micheal Waltz <ecliptik@gmail.com>,
-           Nilesh Patra <nilesh@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
@@ -23,13 +22,12 @@
                golang-code.rocketnine-tslocum-cview-dev,
                golang-github-spf13-viper-dev,
                golang-github-stretchr-testify-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/makeworld-the-better-one/amfora
 Vcs-Browser: https://salsa.debian.org/go-team/packages/amfora
 Vcs-Git: https://salsa.debian.org/go-team/packages/amfora.git
 XS-Go-Import-Path: github.com/makeworld-the-better-one/amfora
 Testsuite: autopkgtest-pkg-go
-Rules-Requires-Root: no
 
 Package: amfora
 Architecture: any
